Bug 1469298 - Domain controller role: incorrect ipa-server-install invocation on Rawhide
Domain controller role: incorrect ipa-server-install invocation on Rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rolekit (Show other bugs)
rawhide
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AlphaBlocker/F27AlphaBlocker
  Show dependency treegraph
 
Reported: 2017-07-10 17:56 EDT by Adam Williamson
Modified: 2017-08-04 16:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: rolekit-0.5.2-1.fc26 rolekit-0.5.2-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 12:52:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2017-07-10 17:56:11 EDT
It seems that the ipa-server-install invocation used by rolekit on current Rawhide is somehow incorrect. The openQA domain controller role deployment test currently fails on Rawhide and this error can be found in the journal:

Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'Usage: ipa-server-install [options]'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b''
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'ipa-server-install: error: Too many arguments provided'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'ipa.ipapython.install.cli.install_tool(CompatServerMasterInstall): DEBUG      File "/usr/lib/python2.7/site-packages/ipapython/admintool.py", line 169, in execute'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'    self.validate_options()'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'  File "/usr/lib/python2.7/site-packages/ipapython/install/cli.py", line 279, in validate_options'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'    self.option_parser.error("Too many arguments provided")'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'  File "/usr/lib64/python2.7/optparse.py", line 1584, in error'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'    self.exit(2, "%s: error: %s\\n" % (self.get_prog_name(), msg))'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'  File "/usr/lib64/python2.7/optparse.py", line 1574, in exit'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'    sys.exit(status)'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b''
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'ipa.ipapython.install.cli.install_tool(CompatServerMasterInstall): DEBUG    The ipa-server-install command failed, exception: SystemExit: 2'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: b'ipa.ipapython.install.cli.install_tool(CompatServerMasterInstall): ERROR    The ipa-server-install command failed. See /var/log/ipaserver-install.log for more information'
Jul 10 06:56:27 ipa001.domain.local roled[1132]: 2017-07-10 09:56:27 ERROR: RolekitError: COMMAND_FAILED: 512

Nominating as an F27 Alpha blocker, this violates Alpha criterion "Release-blocking roles and the supported role configuration interfaces must meet the core functional Role Definition Requirements to the extent that supported roles can be successfully deployed, started, stopped, brought to a working configuration, and queried."
Comment 1 Adam Williamson 2017-07-10 17:59:09 EDT
It would, of course, be much easier to debug this if rolekit actually logged the arguments it tried to pass. ;)
Comment 2 Adam Williamson 2017-07-26 18:19:07 EDT
Ping? Think you said you'd identified this and were planning on fixing it?
Comment 3 Stephen Gallagher 2017-07-26 20:44:49 EDT
(In reply to Adam Williamson from comment #2)
> Ping? Think you said you'd identified this and were planning on fixing it?

Whoops, sorry. I found the bug last week and fixed it on my local machine but forgot to push it upstream and build it in Fedora.

Building for supported releases now.
Comment 4 Fedora Update System 2017-07-26 20:54:29 EDT
rolekit-0.5.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1b40cba6b
Comment 5 Fedora Update System 2017-07-27 19:23:27 EDT
rolekit-0.5.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1b40cba6b
Comment 6 Fedora Update System 2017-07-27 21:52:45 EDT
rolekit-0.5.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-16964ff4b2
Comment 7 Fedora Update System 2017-08-04 12:52:51 EDT
rolekit-0.5.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-08-04 16:50:11 EDT
rolekit-0.5.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.